#
%define		_state		stable
%define		orgname		kwalletmanager
%define		qtver		4.8.3

Summary:	K Desktop Environment - KDE Wallet Manager
Name:		kde4-kwallet
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	56b6e5bc950763cbc88432fd0725502d
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel >= %{version}
Obsoletes:	kde4-kdeutils-kwalletmanager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
K Desktop Environment - KDE Wallet Manager.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kwalletmanager
%attr(755,root,root) %{_libdir}/kde4/kcm_kwallet.so
%attr(755,root,root) %{_libdir}/kde4/libexec/kcm_kwallet_helper
%{_datadir}/apps/kwalletmanager
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmkwallet.service
%{_datadir}/kde4/services/kwalletconfig.desktop
%{_datadir}/kde4/services/kwalletmanager_show.desktop
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmkwallet.policy
%{_desktopdir}/kde4/kwalletmanager.desktop
%{_desktopdir}/kde4/kwalletmanager-kwalletd.desktop
/etc/dbus-1/system.d/org.kde.kcontrol.kcmkwallet.conf
%{_iconsdir}/hicolor/*/apps/kwalletmanager2.png
%{_iconsdir}/hicolor/*/apps/kwalletmanager.png
%{_docdir}/kde/HTML/en/kwallet
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kwallet.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> bf5930a
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 65a9c4c
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9295698
- up to 4.14.2

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2d351e6
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 64e1afc
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7ca71b5
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0ce159e
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 283cf4d
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3588bde
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> cacc61f
- up to 4.12.3, source tarball renamed to kwalletmanager

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 28793b4
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2f2b6b8
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3069e62
- up to 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> a5646ee
- Up to 4.11.4.

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ab6509e
- up to 4.11.3

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d934977
- up to 4.11.1

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e47ff9
- up to 4.11.0

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 021ce34
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 0b06df4
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b52071b
- up to 4.10.3

